title: 'Globals SEO: Sitemap'
fields:
  -
    handle: use_sitemap
    field:
      display: 'Use Sitemap'
      type: toggle
      icon: toggle
      default: true
      instructions: 'Enable the Peak Sitemap.'
      instructions_position: below
      listable: hidden
  -
    handle: sitemap_collections
    field:
      mode: select
      type: collections
      instructions: 'Select which collections to include in the sitemap.xml.'
      listable: hidden
      default: pages
      display: Collections
      width: 50
      always_save: true
      if:
        use_sitemap: 'equals true'
  -
    handle: sitemap_taxonomies
    field:
      mode: select
      type: taxonomies
      instructions: 'Select which taxonomies to include in the sitemap.xml.'
      listable: hidden
      display: Taxonomies
      width: 50
      instructions_position: above
      visibility: visible
      hide_display: false
      always_save: true
      if:
        use_sitemap: 'equals true'
  -
    handle: sitemap_collection_taxonomies
    field:
      fields:
        -
          handle: taxonomy
          field:
            max_items: 1
            mode: select
            type: taxonomies
            listable: hidden
            display: Taxonomy
            width: 50
            instructions_position: above
            visibility: visible
            hide_display: false
            instructions: 'Select which taxonomy to use for specified collections.'
        -
          handle: collections
          field:
            mode: select
            type: collections
            listable: hidden
            display: Collections
            width: 50
            instructions: "Select collections to assign the taxonomy's term urls."
      mode: stacked
      add_row: 'Add collection taxonomy'
      reorderable: true
      display: 'Collection Taxonomies'
      type: grid
      icon: grid
      instructions: 'Select which collection term urls to include in the sitemap.xml. For example: _/blog/tags/retrowave_.'
      listable: hidden
      always_save: true
      if:
        use_sitemap: 'equals true'
